+++
title = 'HowTo create habit'
date = 2024-04-27
+++

Building habit is hard and takes 90 days of consistent everyday work. Here is guide to make a habit in (subjectively) easy way.<!--more-->

Why you would want to create habit?
 + to start doing something everyday
 + to improve in some field

&nbsp; 

## The Most Important
1. Distraction  
	Don't get distracted. 
	 - Use DnD (Do not Disturb) mode in your phone <!-- (TODO post) -->while doing habit
	 - Use Pomodoro Technique<!-- (TODO post) -->
	 - Ask people to not distract you
	 
2. Consistency    
	Do a little of your habit (even if it's seems so miserable), but __do it everyday__. 
	 
3. Environment  
	- Make your environment remind you about habit (ideally motivate you).  
	- Clean your environment to be pleasant to do habit in (__declutter room__<!-- (TODO post) -->).
	- Start consume more content which connected to your habit  
	- Connect with people who connected to your habit

## Recommended
4. Improve  
	Get 1% improvement every day<!-- (TODO post) -->. For example - increase how much time you spend on habit a little bit everyday  
	(If you struggle to improve - it may be still hard for you, take your time. You also may really not enjoy doing habit or not motivated enough)
		
5. Identity  
	Define not goals, define yourself which do those habits regularly:  
	1. Identify the type of person you want to be, person who do this habit  
	2. Prove it to yourself with small wins 
	
4. Trigger  
	Make a trigger (an action) which put you into doing habit, ideally it should be associative with habit. Later you can use it to initiate doing habit by using trigger.  
	
6. Reward yourself  
	Promise yourself that after doing habit you will reward yourself somehow in specific way.  


## Other Tips:
 - Use Habit tracker (I like https://apt.izzysoft.de/fdroid/index/apk/com.ofalvai.habittracker )
 - Ask yourself about your habit:  
 	- How can I make it obvious that I have this habit?  
 	- How can I make it attractive to do this habit?  
 	- How can I make it easy to do this habit?  
 	- How can I make it satisfying to do this habit?  
 - Don't define goals, define identity (#5)

---
{{< spoiler Example >}}
<!-- ## Example: -->

Example habit - *read 10 pages of book everyday*.

### The Most Important


1. Distraction  
	 - Use DnD (Do not Disturb) mode in your phone <!-- (TODO post) -->while doing habit
	 - Use Pomodoro Technique<!-- (TODO post) -->
	 - Ask people to not distract you
	 
2. Consistency    
	Force yourself to read 1 page if you are not into mood.
	
3. Environment
	- __declutter room__<!-- (TODO post) -->
	- __go to reading club__
	- find people who read same books as you
	- find reading subreddit
	- clean table
	- put the book on the table
	- specify place for things where they belong (and start put them at their places)<!-- (TODO post) -->
	- watch videos with book recommendations 
	-  stick beautiful bookmark to the wall near your monitor... 
	 
	anything you imagine is fit.

### Recommended
4. Improve  
	E.g - this week you started reading 1 page every day, next week try reading 2-3 pages every day.   
4. Trigger  
	- wear specific T-shirt (with text)
	- sit at specific place or on another chair
	- look at bookshelf right before doing task
	- alarm at specific time, do a clap...

	 anything you imagine is fit.
	 	
5. Identity  
	"I'm a book lover, I do read a lot", "I read 10 pages yesterday, so I read more than 80% of people"
6. Reward yourself  
	Eat specific candy after reading pages for today (even if it's 1 page)
{{< /spoiler >}}




{{< source >}}
Summary of Atomic Habits - https://jamesclear.com/atomic-habits-summary
Random YouTube videos
My Experience
{{< /source >}}


