+++
title = 'HowTo wipe HDD - 101'
date = 2024-12-11
image = 'https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.easeus.com%2Fimages%2Fen%2Fscreenshot%2Fpartition-manager%2Fphysical-damage.png&f=1&nofb=1&ipt=52e03fc20edc108b7cee49cacbc26b1810547f9641f1b29f0de79ebcc2ada00a&ipo=images'
+++





## Secure wipe individual file

```sh
shred -v -n 3 ./file
```
> Thou might not be secure if your filesystem use COW (copy-on-write) (like btrfs,zfs), make shadow copies (windows, ntfs), uses RAID.

## Secure wipe entire drive

```sh
shred -v -n 3 /dev/HDD
# Or if you are paranoid - slower
shred -v -n 7 /dev/HDD
```
> Long. Expect waiting a day or two.

Or... 

![](https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.easeus.com%2Fimages%2Fen%2Fscreenshot%2Fpartition-manager%2Fphysical-damage.png&f=1&nofb=1&ipt=52e03fc20edc108b7cee49cacbc26b1810547f9641f1b29f0de79ebcc2ada00a&ipo=images)
