+++
title = 'WhyNot Social Media'
date = 2024-12-29
image = 'https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fi.imgflip.com%2F6f06pd.png&f=1&nofb=1&ipt=2f81db32331e1bc7c8b953df2d8146a98d1a9de456f8b5cc98c7e67f4a5b557e&ipo=images'
tags = ["privacy"]
+++

> Introducing you "WhyNot" - big posts with mostly my antiutopic thoughts on topic


## Privacy

Nowadays if you got asked:
> *"Can I have your Facebook account?"*
![](https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fstatic.wikia.nocookie.net%2Fthe-mr-incredible-becoming-memes%2Fimages%2Fc%2Fc4%2FPhase_1.webp%2Frevision%2Flatest%3Fcb%3D20220823112208&f=1&nofb=1&ipt=6b996cf013dfeabfebfa935c49391b06d7a049a3887657f39b35b6cb6e16527b&ipo=images)

is a fancy way of saying:
> *"Can I get access to information about all people you are relate to, all your interest (profession, hobbies, music...), your home location and how you live your life, pretty please? OwO"*
![](https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fi.imgflip.com%2F6f06pd.png&f=1&nofb=1&ipt=2f81db32331e1bc7c8b953df2d8146a98d1a9de456f8b5cc98c7e67f4a5b557e&ipo=images)

<!-- And our privacy even not the worst part (not worst, because you are the one, who willingly share all information about yourself with people/companies all around the world). The worst part is that your productivity and mental health also suffer greatly. -->

Oh wait, you even don't need anything to share with other people! Fancy algorithms will determine it by what you like, watch and search (tiktok, instagram...) and then use it to get maximum profit out of you as a consumer. 

Ooh... Wait... It even don't need to be social media anymore, it is also [marketplaces](TODO) (amazon, aliexpress...) who knows anything about you.

And our privacy even not the worst part (thou **really bad**). The worst part is that your productivity and mental health also suffer greatly.

## Addiction

People today are consumers. We are thrilled to get our next dose of dophamine by:
 - watching tik-toks,
 - ~doom~ scrolling social media,
 - searching your ideal product you want ~not~ to buy in marketplace... 

But in fact we are just wasting our time and energy. Don't understimate energy wasted on this.

![](https://static.wikia.nocookie.net/mullet-madjack/images/1/15/Show.png)

<p style="text-align: center;">🎶 Playing: <a href=https://inv.nadeko.net/watch?v=QolTRBNWiPc>MULLET MADJACK OST - In Gods Image</a> 🎶</p>

> I like how it's pictured in game `MULLET MADJACK`   
  (and game have the style, definitely recomended to try).  

### Attention

Social media and its notifications (posts, messages) gets you distracted.

Distraction leads to stress, which leads to reduced productivity. 

Beside stress its hard to focus on things you want to do (or especially need to do).
 <!--TODO Attention span generally decreased for 2 times in last 20 years  -->


## Cure

My answer to all those problems is a [Minimalism/Essentialism](TODO). Both in virtual and real worlds.

 - Remove any social media accounts if possible
 - [Use RSS](/tech/howto_rss/) to get posts from blogs/channels/community...
 - Setup XMPP/Matrix bridge with your friends/work group chats
 - Move to [secure messenger (XMPP)](TODO) 
 - If you have to use social media, keep it minimal:
 	- Define what you **need** from social media (e.g. yt video development - you need to post new videos and answer comments)
 	- Disable notifications
 	- Disable any unnecesarry for your **needs** features (like feed, stories, channels, group chats...)
 	- Make sure it does only what you need from it and nothing more that may lure you to do what you don't want to
 	- Create separate account
 	- Create separate phone profile/user to use social media
 	- Use DnD
 	- Use more private alternative (like instead youtube - invidious, telegram - some dumb telegram client)<!-- TODO revisit it to declutter it -->


&nbsp;


## Considirations

{{< spoiler "If you are in doubt, click on me." >}}

![](https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fi.redd.it%2Fbuvdn4sijyz11.png&f=1&nofb=1&ipt=a0524315bfd03f0f41488f4177eec562ab1d028f21274def39ba717ed7004c3d&ipo=images)

### "But I like to read comments"

[Internet is dead.](https://en.wikipedia.org/wiki/Dead_Internet_theory)

I kinda like reddit that people still there give good comments and creating interesting discussions. But there are like:
 - 1% of great comments that answers the question at hand
 - 7% of relevant discussion
 - 92% of doom scrolling in search of these 8% comments


[FunnyLink1](https://www.reddit.com/r/Monero/comments/1geh6qg/comment/luhrsbv/)

[FunnyLink1](https://t.me/devstdout/15602)
<!-- lol, they lead to social media -->


### "But I will miss out how my friends are doing and what is happening in a world!"

You will not miss out things if you delete yourself out of social media.

Does all thing in the World troubles you? Are you a god or something? If it's important enough you will learn it from people near you. 

If it's important to you, you will learn it by yourself.

### "But I use it (youtube/tiktok) for educational purposes!" 

"We are what we consume of"  
So, you use short videos to get knowledge? Reading still a thing. Go to the Internet and do your research instead of mindless consuming random information.  
Or at least go watch long video about this topic and take notes somewhere.

So ultimately you should get rid of tik-toks and yt shorts.

And if you think that you watch YT mainly for educational purposes and occasional fun, then create second account and devide subscriptions there. Don't get distracted by fun when you trying to learn something.

Install browser add-on that gets rid of YT shorts and any recomendations.


### "But I like to get notifications about new posts of my favorite blogger / messages from friends!"

Do you have own life? Enable DnD (Do not Disturb) mode on phone. 

Do things that need to be done and when you have free time to waste check those notifications. If it's really urgent you will get a call.

### "What are you talking about, I'm not addicted. Are you insane?"

Oh boy, take this phone, disable notification sound and place it out of sight in cabinet nearby (or in another room).  
How fast will you want to check the phone?   
Can you do that for at least 4 hours without consuming media from other devices?

### "But i need it for my work"

Well, separate Your life from your work. Create separate phone work profile/user with separate social media account. This way you won't get distracted by fun from phone and by work when you are off.

### "But I don't want to loose my connection with people!"

Do you have strong bonds? Tell them that you are moving away from this platform and want to continue chat in a [messenger of your choice](TODO). If they want to continue to chat with you, they will consider installing it. And if you really want to, you can create bridge between messengers that you use (e.g. Alice use XMPP, Bob use Telegram. Alice setup bot that will relay messages from XMPP to Bob's telegram and vice versa.)

If they not interested to continue chat with you, why the hell are you talking with them?

### "Well, Telegram is a messenger, so I will stick with it"

Well, by its defenition its a messanger, but its gone too far away from this defenition in my perception.
 - Crypto wallet (another custodial wallet? Oh, wait there is non-custodial (NOT IN THE USA) TON Space. Lol.)? 
 - Stars monetization
 - Some premium emojis/stickers that (literally) shows you big ass?
 - Paid emojis in account name (Well, you should monitize this hell machine somehow)
 - Ads (Here is free [Monero](TODO) ad. Go buy/mine monero and [use it](TODO).)? 
 - Channels (I mean, they are a lot of great content in them, but go fucking use RSS/anyBlogPlatform for this)? 
 - Stories? 
 - Birthdays (if you don't remember about birthday of that person and didn't get invited, why should you care OR why you should share with anyone your birthday)? 
 - Find people nearby (actually was a cool feature when it wasn't so popular, now it's another privacy hell)? 
 - Saved messages (which contains long posts from channels you will never ever read)?
 - Encrypted chats (which unconvinient for normies thus nobody use them thus all is visible to admins)?
 - Photo editor (convinient thing but why do i need masks in it???)?
(I don't even talk about privacy issues right here.)
The only thing that visibly devides it from typical social media is that you can't just see what friends/communities/ 

If you think that it is messenger then remove all features *to make it messenger*. Probably there is some dumb android client for that.

{{< /spoiler >}}


> Oh boy how big this post turned out. If you are the One who has read all this (and you are not FBI agent) go write me a line - [XMPP](https://blog.ca.sual.in/whoami/contact_me/).



{{< source >}}
https://www.youtube.com/watch?v=f9W7pTqxh58&list=PLusAca3pUpLfhWIzQPQiFt-tX2G17PCz4&index=13
https://www.youtube.com/watch?v=XHAV87e0hLY
my antiutopic thoughts
{{< /source >}}

