+++
title = 'HowTo Download Youtube video'
date = 2024-08-03
+++

1. [Install yt-dlp](https://github.com/yt-dlp/yt-dlp/wiki/Installation#using-the-release-binary)  
```bash 
curl -L https://github.com/yt-dlp/yt-dlp/releases/latest/download/yt-dlp -o ~/.local/bin/yt-dlp; chmod a+rx ~/.local/bin/yt-dlp
```
2. Download a Video or Playlist  
```bash 
yt-dlp -f "best[height<=1080]+bestaudio" https://www.youtube.com/watch?v=kf5eUikyXYA
```
### Options cheatsheet

 - Download video in best quality - `yt-dlp -f bestvideo+bestaudio <URL>`
 - Download 1080p video - `yt-dlp -f "best[height<=1080]+bestaudio" <URL>`
 - Download mp3 audio - `yt-dlp --extract-audio --audio-format mp3 --audio-quality 0 <URL>`
 - Resume download - `yt-dlp -c <URL>`


{{< source >}}
https://github.com/yt-dlp/yt-dlp/
https://ostechnix.com/yt-dlp-tutorial/
random cheatsheet from navi
{{< /source >}}
