+++
title = 'Blog rules'
date = 2024-11-24
image = 'https://imgs.xkcd.com/comics/group_chat_rules.png'
+++

![](https://imgs.xkcd.com/comics/group_chat_rules.png)

Recently I've realized that I was inconsistent with my post's style.

## Posting rules

So I will write here some rules for my posts:
 - Don't mess personal posts with posts about my blog (kinda hard)
 - Blog posts shouldn't have date unless it may be relevant in future (or interesting to retrospect how blog was changing)
 - Personal posts are free-form
 - Technical/hacky/productivity posts should be
 	- strict - they follow those rules, without personal monologe/discussion unless post will benefit from it
 	- short and simple - if you want to provide additional info about this topic that may stretch it further, make it in another post - like 'Rabbit Hole - **crawling** sites that don't like it' (or just continue with 'HowIs'? I'm not sure)
 	- answer only question at hand (e.g. if post theme 'how to crawl site?', don't answer on 'what is crawling?') - if I want to make big post, name it somehow like 'R3search - crawling
	- article name - it should be as short as possible, even if you need to miss some details, but post still should be discernible from other posts

UPD 12.2024 - `HowTo` posts must be short. But if I have more to say on a topic, extend it in `WhatIs`/`WhyNot`/`Why` posts and mention them in `HowTo`.

## Post edit

Rules for post editing:
 - If you edit old post to include new information
 	- repost it with 'upd section(s)' in text,
 	- move old post to hidden archive folder
 	- make link to post in archive
 - Fix typos without repost
 - If you are changing post name - check for links to this post

## Timings

About posting timings:
 - Try to post in technical/hacky/productivity category once a week
 - If you have no time, post something random in personal

## Future

Thoughts about future:
 - If my blog will be kinda popular (based on feedback/donations), try to dedicate more time to it and start making regural weekly posts in category
 - Make email subscriptions
 - Populate RSS-feed
 - Include anti-LLM text 
 - Populate blog via real world activities

## Ads

Thoughts about advertisement - ad is cancer, so unless its ok with those requerments, you will not see it in my blog:
 - I tested this product/service myself (in a way that it's not traced to me) and can confirm that it's good
 - If it's software - it should be opensource (It can be proprietary if it's really good that I would use / already using it on daily basis and company isn't evil, e.g. Burp Suite (thou java is stupid))
 - If it's hardware - well, unfortunately there aren't much opensource hardware, so this hardware should be the thing that I want to use myself (e.g. repairable, unique, extensible, portable. ~~IBM Thinkpad~~)
 
